:root {
  --secondary: #181517;
  --tertiary: #c25641;
  --links: #B5401D;
  --cream: #CDC5B4;
  --bg: url('/assets/images/background.png');
}

body {
  margin: 0;
  font-family: 'Morris';
  font-size: 1.4em;
}

p {
  margin: 0;
}

hr {
  border-top: 2px solid var(--tertiary);
  width: 100%;
  margin: 1em 0;
}

a {
  text-decoration: none;
  color: var(--links);
  background: linear-gradient(currentColor 0 0) bottom left/ var(--underline-width, 0%) 0.1em no-repeat;
  transition: background-size 0.5s;
  transition: ease-in-out 0.4s;
}

a:hover {
  text-decoration: none;
  --underline-width: 100%;
  transition: ease-in-out 0.4s;
}

img {
  max-width: 100%;
  height: auto;
  display: block;
}

.container {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  padding: 0 7em;
  background-image: var(--bg);
  background-position: center;
  background-attachment: fixed;
  background-size: contain;
  color: var(--secondary);
}

.container .row {
  background-color: var(--cream);
}

.rb {
  border: 3px solid var(--tertiary);
  border-radius: 255px 15px 225px 15px/15px 225px 15px 255px;
  padding: 0.5em;
  height: 400px;
  overflow-y: scroll;
}

.ab {
  border: 3px solid var(--tertiary);
  border-radius: 255px 15px 225px 15px/15px 225px 15px 255px;
  margin-top: 0.5em;
  padding: 0.5em;
  height: 200px;
  overflow-y: scroll;
}

.container>div {
  border: 1px solid var(--secondary);
}

#header {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 10em;
  padding: 0.5em;
  background-color: var(--tertiary);
  background-image: url('/assets/images/image.png');
  background-size: cover;
  background-position: center;
}

#lefthand {
  display: flex;
  align-items: center;
  background-color: var(--secondary);
  font-family: 'Times New Roman', Times, serif;
  max-width: 200px;
  font-size: 0.85em;
  padding-top: 2em;
}

#main {
  box-sizing: border-box;
  padding: 2em 2em;
  background-color: var(--cream);
}

#meow {
  position: sticky;
  top: 5rem;
}

.heading {
  font-size: 3em;
  font-family: 'Morris';
  color: var(--tertiary);
}

.headingtwo {
  font-size: 2.3em;
  font-family: 'Morris';
  color: var(--tertiary);
}

.quote-outer {
  padding: 2em 5em 2em 5em;
}

.quote-starter {
  padding: 0 5em 0 5em;
}

.quote {
  padding: 1em 0.5em 1em 2em;
  border-left: 4px solid var(--tertiary);
  border-radius: 255px 15px 15px 15px/0px 225px 15px 255px;
}

.start {
  font-family: 'Romantik';
  font-size: 2em;
  margin: 0;
  color: var(--tertiary);
}

.red {
  color: var(--tertiary);
}

#mechbutt {
  display: flex;
  flex-direction: row;
  flex-grow: 1;
  justify-content: space-around;
  align-items: center;
}

#mechbutt>a {
  color: var(--links);
  text-decoration: none;
  font-family: 'Times New Roman', Times, serif;
  font-size: 0.8em;
  font-weight: bold;
  transition: ease-in-out 0.5s;
}

.underline {
  background: linear-gradient(currentColor 0 0) bottom left/ var(--underline-width, 0%) 0.1em no-repeat;
  transition: background-size 0.5s;
}

#mechbutt>a:hover {
  text-decoration: none;
  --underline-width: 100%;
  transition: ease-in-out 0.4s;
}

.cokelines {
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.cokelines>img {
  margin: 0 2em;
}

.cokelines>hr {
  margin: 0;
}

ol {
  margin: 0;
}

ul {
  margin: 0;
  padding: 0;
}

li ul {
  margin: 0;
}

ul li {
  margin: 0.5em 1.5em;
  padding-left: 0.5em;
}

.rl {
  color: var(--tertiary);
  padding: 0;
}

/* NAVIGATION BUTTONS */

li>a {
  display: inline-block;
  text-decoration: none;
  color: var(--cream);
  font-weight: bold;
  background: linear-gradient(currentColor 0 0) bottom left/ var(--underline-width, 0%) 0.1em no-repeat;
  transition: background-size 0.5s;
  transition: ease-in-out 0.4s;
}

li>a:hover {
  --underline-width: 100%;
  transition: ease-in-out 0.5s;
}

li {
  margin: 1em;
}

::-webkit-scrollbar {
  width: 0;
  /* remove scrollbar space */
  background: transparent;
  /* to make scrollbar invisible */
}

::-webkit-scrollbar-thumb {
  background: transparent;
}

/*

MEDIA QUERY

*/

@media only screen and (max-width: 625px) {
  body {
    margin: 0;
  }

  .container {
    max-width: 650px;
    margin: 0px auto !important;
    padding: 0.5em;
  }

  .container>div {
    border: 0;
  }

  #lefthand {
    display: none;
  }

  #main {
    padding: 0.5em;
  }

  .row {
    flex-direction: column !important;
  }

  .quote-outer {
    padding: 0 !important;
  }

  .quote-starter {
    padding: 0 !important;
  }

  .heading {
    font-size: 2em;
  }
}

/*

  ROWS AND COLUMNS

*/

.row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 0.5em;
}

.col {
  display: flex;
  flex: 1;
  flex-direction: column;
  flex-wrap: wrap;
  gap: 0.5em;
  padding: 0.5em;
}

.col-mid {
  display: flex;
  flex: 2;
  flex-direction: column;
  flex-wrap: wrap;
  gap: 0.5em;
  padding: 0.5em;
}

.col-big {
  display: flex;
  flex: 3;
  flex-direction: column;
  flex-wrap: wrap;
  gap: 0.5em;
  padding: 0.5em;
}

.grow {
  flex-grow: 1;
}

.flush {
  padding: 0.5em 0 !important;
}

/*

FONTS

*/

@font-face {
  font-family: 'Morris';
  src: url(/assets/fonts/MorrisRomanBlack.ttf);
}

@font-face {
  font-family: 'Black Flag';
  src: url(/assets/fonts/BlackFlag.ttf);
}

@font-face {
  font-family: 'Romantik';
  src: url(/assets/fonts/Romantik.ttf);
}